Alerta de Segurança Debian

DSA-611-1 htget -- estouro de buffer

Data do Alerta:
20 Dez 2004
Pacotes Afetados:
htget
Vulnerável:
Sim
Referência à base de dados de segurança:
No dicionário CVE do Mitre: CVE-2004-0852.
Informações adicionais:

"infamous41md" descobriu um estouro de buffer no htget, um software que obtêm arquivos de servidores HTTP. É possível estourar um buffer e executar código arbitrário acessando uma URL maliciosa.

Na distribuição estável (woody), este problema foi corrigido na versão 0.93-1.1woody1.

Este pacote não está presente nas distribuições testing e instável.

Nós recomendamos que você atualize seu pacote htget.

Corrigido em:

Debian GNU/Linux 3.0 (woody)

Fonte:
http://security.debian.org/pool/updates/main/h/htget/htget_0.93-1.1woody1.dsc
http://security.debian.org/pool/updates/main/h/htget/htget_0.93-1.1woody1.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/h/htget/htget_0.93-1.1woody1_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/h/htget/htget_0.93-1.1woody1_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/h/htget/htget_0.93-1.1woody1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/h/htget/htget_0.93-1.1woody1_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/h/htget/htget_0.93-1.1woody1_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/h/htget/htget_0.93-1.1woody1_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/h/htget/htget_0.93-1.1woody1_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/h/htget/htget_0.93-1.1woody1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/h/htget/htget_0.93-1.1woody1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/h/htget/htget_0.93-1.1woody1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/h/htget/htget_0.93-1.1woody1_sparc.deb

Checksums MD5 dos arquivos listados estão disponíveis no alerta original.